Bug 134540 - mtr should be setuid root
Summary: mtr should be setuid root
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mtr   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On: 129386
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-04 15:04 UTC by Daniel Roesen
Modified: 2015-03-05 01:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 14:47:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Roesen 2004-10-04 15:04:23 UTC
mtr should be setuid root like ping and traceroute. All those tools
are frequently used by normal non-root users for good reasons.

Comment 1 Phil Knirsch 2004-10-06 14:47:17 UTC
As already stated in the other bugreport, mtr won't be setuid as we
have a very strict rule for doing that to only a few programs and only
if absolutely necessary (and for good reason).

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.